From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 26 August 2010<P>

Farah, about <a href="/blend/wv.cgi?id=2010.08.24.06.17.8861">Personal quote </a>: nice quote<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 26 August 2010<P>

i'm just him, about <a href="/blend/wv.cgi?id=2010.08.26.18.33.19619">In a million years time</a>:<BR>
<BR>
You are truly writing some fine poetry this month i'm just him. This one is one of my favorites of yours...It's great even if it's not a kissing poem. ha<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=29">~Harem~</a><BR>
Date: 26 August 2010<P>

To RebeccaBeth - 88,<BR>
it was a difficult story to write, but after I was done, I felt like I had shed that horrible time - from off of my soul and became free from it....  I never told anyone - for years and years and years.  But it is easier to tell it here because I am anonymous and don't have to worry about friends or relatives making fun of me for being such a fool...  or for spilling the beans...<BR>
Thanks for your comments....<BR>
<BR>
~Harem~<BR>
..
<HR>